@ECHO OFF
REM *******************************************************************************
REM * Licensed Materials - Property of IBM and/or HCL 
REM * (c) Copyright HCL Technologies Ltd. 2023. All Rights Reserved. 
REM * 
REM * Note to U.S. Government Users Restricted Rights: 
REM * Use, duplication or disclosure restricted by GSA ADP Schedule 
REM * Contract with IBM Corp. 
REM *******************************************************************************

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::   
:: OVERVIEW:
:: Note this script is called to initialize UITestAgent by replace token to appropriate path
::
:: USAGE  UITestAgentInitOnInstall.bat <installation directory path> 
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
setlocal enabledelayedexpansion

set "crt_dir=%~dp0"
for %%I in ("%crt_dir%\..") do set "root=%%~fI"

set "inputFile=%root%\node-js\appium-server\node_modules\.cache\appium\extensions.yaml"
set "token=__INSTALLATION_FOLDER__"
set "replacement=%root%\node-js\appium-server\node_modules"

if not exist "%inputFile%" (
    echo Input file "%inputFile%" not found.
    exit /b 1
)

IF exist "%UserProfile%\.appium\node_modules\.cache\appium\extensions.yaml" (del /f "%UserProfile%\.appium\node_modules\.cache\appium\extensions.yaml")

IF not exist %UserProfile%\.appium\node_modules\.cache\appium (mkdir %UserProfile%\.appium\node_modules\.cache\appium)

set "outputFile=%UserProfile%\.appium\node_modules\.cache\appium\extensions.yaml"

set "tempFile=%temp%\temp.txt"

del "%tempFile%" 2>nul

(
    for /f "usebackq delims=" %%a in ("%inputFile%") do (
        set "line=%%a"
        set "line=!line:%token%=%replacement%!"
        echo(!line!>>"%tempFile%"
    )
)

move /y "%tempFile%" "%outputFile%"
echo UITestAgent initialized successfully!

endlocal
