#!/bin/sh
# *******************************************************************************
# * Licensed Materials - Property of IBM and/or HCL
# * (c) Copyright HCL Technologies Ltd. 2021. All Rights Reserved.
# *
# * Note to U.S. Government Users Restricted Rights:
# * Use, duplication or disclosure restricted by GSA ADP Schedule
# * Contract with IBM Corp.
# *******************************************************************************

# ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
# ::
# :: OVERVIEW:
# :: Note this script is called to start the Appium Server.
# ::
# :: USAGE  start.sh
# ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

# ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
echo "Start Appium Server"
baseDir="$(cd "$(dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
installDir=$(dirname "$baseDir")
export APPIUM_HOME=$installDir/appium-server
port=7082

echo $isPortAvailable
counter=7082
while [ "$counter" -lt 7082 ]
do
isPortAvailable=$(sudo lsof -i:$counter)
	if [ -z $isPortAvailable ];
		then
			port=$((counter))
			echo available port is $port
			break
		else
			counter=$((counter + 1))
	fi
done

PATH=$PWD/../bin:$PATH ../bin/node node_modules/appium/build/lib/main.js --port $port --local-timezone --log /tmp/ui_test_agent.log --base-path=/wd/hub --allow-insecure chromedriver_autodownload


echo "Server Started..."
